;;;; cl-scopes/app/demo/main - sample main program

(defpackage :scopes/app/demo
  (:use :common-lisp)
  (:local-nicknames (:config :scopes/config)
                    (:core :scopes/core)
                    (:forge :scopes/forge)
                    (:server :scopes/web/server)
                    (:util :scopes/util))
  (:export #:main))

(in-package :scopes/app/demo)

(defun main()
  (format t "~%Hello World.~%relative path: ~a~%system source dir: ~a~%"
          (asdf:system-relative-pathname :scopes-demo "config")
          (asdf:system-source-directory :scopes-demo))
  (load (util:relative-path "config" "etc"))
  (core:setup-services)
  (setf forge:*forge-env* (forge:forge-env))
  (forge:setup-builtins)
  (forge:repl)
  (core:shutdown))
